Subject: Re: bug#28591: 27.0.50; xterm-set-window-title

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Oct 2017 13:16:24 +0300

> Date: Sat, 30 Sep 2017 15:26:27 -0400
> From: Mark Oteiza <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > So you are saying the title is only restored when Emacs exits?
> > Otherwise, I think I'm missing something: in what case(s) your
> > restoration code does work?
> 
> There is no restoration code at the moment--I totally overlooked it
> because of my shell configuration.
> 
> The following works for me on a VTE based terminal.
> The commented bits I would expect to do _something_ on XTerm, but
> I have been unable to get titles to restore on XTerm, whether or not
> I set the allowWindowOps and disallowedWindowOps resources.

OK, how about pushing this to master, with some defcustom, by default
off, to control whether this feature is used?  With any luck, we might
have contributions for others to increase the number of configurations
supported by this feature.

Thanks.